Bug 321 - Bluetooth service fail after wake-up
: Bluetooth service fail after wake-up
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: 2012 Marathon RP1
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 10:24 MSD by Vladimir Potapov
Modified: 2012-08-21 11:59 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
filegogo (361 bytes, application/octet-stream)
2012-08-03 16:06 MSD, Alexander Burmashev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2012-06-02 10:24:17 MSD
Description of problem:
bluetooth service don`t work after standby|wake up on my asus 1201 .


Steps to Reproduce:
1. Set up to internet by bluetooth by GPRS-mobile phone
2. Close-open cover of my netbook (standby-weak up)
3.  Connect is not restored. Bluetooth icons disappeared from system tray

If I restart the service, everything is fine.
Comment 1 Alexander Burmashev 2012-08-03 16:06:51 MSD
Created attachment 447 [details]
filegogo
Comment 2 Alexander Burmashev 2012-08-03 16:08:15 MSD
1) What service do you restart ?

2) Place please previously attached file to /usr/lib64/pm-utils/sleep.d  or /usr/lib/pm-utils/sleep.d ( on 32 bit system )

run chmod +x on the file so it is executable


3)test bluetooth
Comment 3 Vladimir Potapov 2012-08-03 17:19:17 MSD
1) Bluetooth service from GUI - restart (stop and start)
Comment 4 Vladimir Potapov 2012-08-03 17:27:22 MSD
3) :-(  Connect is not restored. Bluetooth icons disappeared from system tray and dolphin

I found a solution
http://forum.rosalab.ru/viewtopic.php?f=3&t=1002
Comment 5 Vladimir Potapov 2012-08-04 06:16:32 MSD
fix: add service bluetooth restart
/usr/lib/pm-ultis/sleep.d/49bluetooth

resume_bluetooth()
{

        state_exists ibm_bluetooth || return
        restorestate ibm_bluetooth > /proc/acpi/ibm/bluetooth
        service bluetooth restart
}
Comment 6 Vladimir Potapov 2012-08-06 15:49:38 MSD
https://bugzilla.redhat.com/show_bug.cgi?id=727106
Comment 7 Vladimir Potapov 2012-08-06 15:53:18 MSD
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/824144
"bluez 4.96-0ubuntu4 in oneiric-updates should contains the fix. If it's confirmed to fix the eeepc too, we can close the bug too."
Comment 8 Alexander Burmashev 2012-08-16 18:59:12 MSD
Advisory:
bluez was rebuilt with some external patches to ensure that bluetooth works after suspend/wakeup
buildlists:
https://abf.rosalinux.ru/build_lists/658296
https://abf.rosalinux.ru/build_lists/658295
Comment 9 Vladimir Potapov 2012-08-17 16:01:00 MSD
http://bugs.rosalinux.ru/show_bug.cgi?id=321
Comment 10 Vladimir Potapov 2012-08-21 08:03:10 MSD
bluez-4.93-3-rosa.lts2012.0
************ Advisory *******************
bluez was rebuilt with some external patches to ensure that bluetooth works after suspend/wakeup
******************************************
QA Verified